---
title: "Updates Supplier Invoice Direct Costs"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c/operations/put-supplierinvoices-id-directcosts"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c.md

# Updates Supplier Invoice Direct Costs

`PUT` `/supplierinvoices/{id}/directcosts`

Operation ID: `put-supplierinvoices-id-directcosts`

Sample request: PUT /supplierinvoices/1/directcosts { "freight": { "total_ex": 10, "includes_tax": false }, "misc": { "total_ex": 32.1, "includes_tax": true }, "duty": { "total_ex": 20.5 } }

## Path parameters

- `id` (integer, int32, required) - Supplier Invoice id

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Request body

Content types: `application/json`

## Responses

- `200` - Supplier Invoice Direct Costs updated
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: v2.1
servers:
  - url: https://api.retailexpress.com.au/v2.1
paths:
  /supplierinvoices/{id}/directcosts:
    put:
      tags:
        - supplierinvoices
      summary: Updates Supplier Invoice Direct Costs
      description: "Sample request:\r

        \            \r

        \    PUT /supplierinvoices/1/directcosts\r

        \    {\r

        \        \"freight\":\r

        \        {\r

        \            \"total_ex\": 10,\r

        \            \"includes_tax\": false\r

        \        },\r

        \        \"misc\":\r

        \        {\r

        \            \"total_ex\": 32.1,\r

        \            \"includes_tax\": true\r

        \        },\r

        \        \"duty\":\r

        \        {\r

        \            \"total_ex\": 20.5\r

        \        }\r

        \    }"
      operationId: put-supplierinvoices-id-directcosts
      parameters:
        - name: id
          in: path
          description: Supplier Invoice id
          required: true
          schema:
            type: integer
            description: Supplier Invoice id
            format: int32
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      requestBody:
        description: Supplier Invoice Direct Costs model
        content:
          application/json:
            schema:
              title: EmptyExample
              type: object
              additionalProperties: false
      responses:
        "200":
          description: Supplier Invoice Direct Costs updated
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/SupplierInvoiceDirectCosts"
              example:
                applied_on: string
                apply_pending: true
                freight:
                  total_ex: 0
                  includes_tax: true
                  total_tax: 0
                  total_inc: 0
                duty:
                  total_ex: 0
                  includes_tax: true
                  total_tax: 0
                  total_inc: 0
                misc:
                  total_ex: 0
                  includes_tax: true
                  total_tax: 0
                  total_inc: 0
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    SupplierInvoiceDirectCosts:
      title: ""
      type: object
      properties:
        applied_on:
          type: string
          description: DirectCosts AppliedOn
          format: date-time
          nullable: true
        apply_pending:
          type: boolean
          description: Is DirectCosts Apply Pending
        freight:
          $ref: "#/components/schemas/DirectCostsItem"
        duty:
          $ref: "#/components/schemas/DirectCostsItem"
        misc:
          $ref: "#/components/schemas/DirectCostsItem"
      additionalProperties: false
      description: Supplier Invoice Direct Costs Model
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    DirectCostsItem:
      title: ""
      type: object
      properties:
        total_ex:
          type: number
          description: Total ex
          format: double
        includes_tax:
          type: boolean
          description: Includes tax
          nullable: true
        total_tax:
          type: number
          description: Total tax
          format: double
        total_inc:
          type: number
          description: Total inc
          format: double
      additionalProperties: false
      description: Direct Costs Item model
```
